Skip to main content
`Ctrl`+`K`

# DMPlexGetConeSize

Return the number of in-edges for this point in the DAG

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetConeSize(DM dm, PetscInt p, PetscInt *size)

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- p - The point, which must lie in the chart set with `DMPlexSetChart()`

## Output Parameter

- size - The cone size for point `p`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreate()`, `DMPlexSetConeSize()`, `DMPlexSetChart()`

## Level

beginner

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex52.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages